Subject: Re: bug#25129: 26.0.50; seq-some function

From: Nicolas Petton <[email-masked]>
Date: Wed, 07 Dec 2016 11:24:58 +0100

Tino Calancha <[email-masked]> writes:

> Nicolas Petton <[email-masked]> writes:
>
>> Pierre Lorenzon <[email-masked]> writes:
>>
>> Hi Pierre,
>>
>>> I well understand now that I must use seq-find instead of
>>> seq-some but I think that I will not be the only one being
>>> confused by these functions specifications !
>>
>> There is a mistake (extra if) in the documentation, I will fix that.
>>
>> Other than that, is the following less confusing?
>>
>>   Return non-nil if PRED returns non-nil for at least one element of SEQUENCE.
>>   If so, return the value returned by PRED.

> The previous doc string contains more information: it explicitely says
> that it returns the _first_ non-nil (PRED element).

Indeed, what about:

  Return non-nil if PRED returns non-nil for at least one element of SEQUENCE.
  If so, return the first non-nil value returned by PRED.

Cheers,
Nico